MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000312Community[OCCT] OCCT:Modeling Algorithmspublic2002-04-18 17:132011-12-15 17:54
Reporteremo 
Assigned Toapo 
PrioritynoneSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000312: Bug in Extrema_ExtPElS
DescriptionThis bug has been added by Francois Lauzon francois.lauzon@dbmreflex.com at
http://www.opencascade.org/forumorg/bug.php?bug_id=44&f=8 [^] .

There is a bug at line 339, you try to access myValue[4] and myPoint[4] by it
should read myValue[3] and myPoint[3] instead because you declare the variable
as:

Standard_Real myValue[4];

So every reference to myValue and myPoint should be decremented by 1 and the
method Extrema_ExtPElS::Value() and Extrema_ExtPElS::Point() should reference
with the right index (N-1).
TagsNo tags attached.
Test case number
Attached Filesgz file icon occ312.tar.gz (2,628 bytes) 2002-04-22 10:24

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-04-18 19:04 bugmaster Assigned To bugmaster => pop
2002-04-18 19:04 bugmaster Status new => assigned
2002-04-18 19:04 bugmaster Assigned To pop => ifv
2002-04-18 19:04 bugmaster Category => MOA
2002-04-22 14:07 ifv Assigned To ifv => apo
2002-04-22 15:37 bugmaster CC => apv
2002-04-22 15:37 bugmaster Status assigned => resolved
2002-04-23 15:34 bugmaster Status resolved => tested
2002-04-23 15:40 bugmaster Status tested => verified
2002-08-01 18:37 bugmaster Status verified => closed
2002-08-01 18:37 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker